import { DayEnum, IDay, IMonth, MonthEnum, MonthNumber, Year } from './types';
export { DayEnum, IDay, IMonth, MonthEnum, MonthNumber, Year };
export declare const getDaysInMonth: (year: number, month: MonthEnum) => number;
export declare const getPreviousMonth: (year: number, month: MonthEnum) => IMonth;
export declare const getNextMonth: (year: number, month: MonthEnum) => IMonth;
export declare const getPreviousDay: (year: number, month: MonthEnum, day: number) => IDay;
export declare const getNextDay: (year: number, month: MonthEnum, day: number) => IDay;
/**
 * Get calendar for given month.
 *
 * @param {number} year - year [1900 – 2100]
 * @param {number} month - Month [1  - 12]
 * @param {number} [startOfTheWeek=0] - Start of the week [0 – 6] where 0 is Sunday, and 6 is Saturday
 *
 * @returns {Object[][]}
 */
export declare function calendarMonth(year: any, month: any, startOfTheWeek?: any): IDay[][];
